import 'package:get/get.dart';
import '../models/tank_model.dart';
import '../pages/edit_view.dart';
import '../services/appwrite_service.dart';

class DetailController extends GetxController {
  late TankModel tank;
  final appwriteService = AppwriteService();

  @override
  void onInit() {
    tank = Get.arguments as TankModel;
    super.onInit();
  }

  void deleteEntry() {
    appwriteService
        .deleteDocumentFromCollection(tank.szDocumentId)
        .then((_) {
          Get.back(
            result: 'deleted',
          ); // Zurück zur vorherigen Seite nach dem Löschen
        })
        .catchError((error) {
          Get.snackbar(
            'Fehler',
            'Eintrag konnte nicht gelöscht werden: $error',
            snackPosition: SnackPosition.BOTTOM,
          );
        });
  }

  Future<void> editEntry() async {
    await Get.offAllNamed(EditPage.namedRoute, arguments: tank);
  }
}
